Openembedded Core Discussions
 help / color / mirror / Atom feed
From: Darren Hart <dvhart@linux.intel.com>
To: openembedded-core@lists.openembedded.org
Subject: [PATCH 1/1] oe-setup-builddir: remove unreachable code, update comments
Date: Tue, 24 May 2011 15:31:17 -0700	[thread overview]
Message-ID: <d65327722591ceae682f08ff28cae38f4d32267d.1306276122.git.dvhart@linux.intel.com> (raw)
In-Reply-To: <cover.1306276122.git.dvhart@linux.intel.com>

From: Darren Hart <dvhart@linux.intel.com>

The script forces TEMPLATECONF to be non-empty with:

    TEMPLATECONF=${TEMPLATECONF:-meta-yocto/conf}

This ensures that OELOCALCONF and OELAYERSCONF will be non-empty as well. Remove
all the empty checks for these variables.

While this patch doesn't change behavior, all this code was unreachable, it does
bring up a point of intent. It appears as though OE*CONF was intended to be
configurable by the user via the environment, the code only allows for the user
to set TEMPLATECONF. This means that in order to use something other than the
sample default configs, the user must specify both a local.conf.sample and a
bblayers.conf.sample in their TEMPLATECONF directory.

Update the comments to correctly identify the required files as local.conf.sample
and bblayers.conf.sample.

Signed-off-by: Darren Hart <dvhart@linux.intel.com>
---
 scripts/create-pull-request |    2 +-
 scripts/oe-setup-builddir   |   32 +++++++++++++-------------------
 2 files changed, 14 insertions(+), 20 deletions(-)

diff --git a/scripts/create-pull-request b/scripts/create-pull-request
index b808146..169b888 100755
--- a/scripts/create-pull-request
+++ b/scripts/create-pull-request
@@ -24,7 +24,7 @@
 # submission to Open Embedded and The Yocto Project, as well as to
 # related projects and layers.
 #
-
+set -x
 ODIR=pull-$$
 RELATIVE_TO="master"
 COMMIT_ID="HEAD"
diff --git a/scripts/oe-setup-builddir b/scripts/oe-setup-builddir
index 5fc8b19..6c2e837 100755
--- a/scripts/oe-setup-builddir
+++ b/scripts/oe-setup-builddir
@@ -37,29 +37,26 @@ fi
 
 cd "$BUILDDIR"
 
-TEMPLATECONF=${TEMPLATECONF:-meta-yocto/conf}
 
 # 
-# $TEMPLATECONF can point to a directory for the template local.conf & bblayers.conf
+# $TEMPLATECONF can point to a directory for the template local.conf &
+# bblayers.conf. If the user hasn't specified a path, default to
+# meta-yocto/conf.
 #
-if [ "x" != "x$TEMPLATECONF" ]; then
+TEMPLATECONF=${TEMPLATECONF:-meta-yocto/conf}
+if ! (test -d "$TEMPLATECONF"); then
+    # Allow TEMPLATECONF=meta-xyz/conf as a shortcut
+    if [ -d "$OEROOT/$TEMPLATECONF" ]; then
+        TEMPLATECONF="$OEROOT/$TEMPLATECONF"
+    fi
     if ! (test -d "$TEMPLATECONF"); then
-	# Allow TEMPLATECONF=meta-xyz/conf as a shortcut
-	if [ -d "$OEROOT/$TEMPLATECONF" ]; then
-	    TEMPLATECONF="$OEROOT/$TEMPLATECONF"
-	fi
-	if ! (test -d "$TEMPLATECONF"); then
-	    echo >&2 "Error: '$TEMPLATECONF' must be a directory containing local.conf & bblayers.conf"
-	    return
-	fi
+        echo >&2 "Error: '$TEMPLATECONF' must be a directory containing local.conf.sample & bblayers.conf.sample"
+        return
     fi
-    OECORELAYERCONF="$TEMPLATECONF/bblayers.conf.sample"
-    OECORELOCALCONF="$TEMPLATECONF/local.conf.sample"
 fi
+OECORELAYERCONF="$TEMPLATECONF/bblayers.conf.sample"
+OECORELOCALCONF="$TEMPLATECONF/local.conf.sample"
 
-if [ "x" = "x$OECORELOCALCONF" ]; then
-    OECORELOCALCONF="$OEROOT/meta/conf/local.conf.sample"
-fi
 if ! (test -r "$BUILDDIR/conf/local.conf"); then
 cat <<EOM
 You had no conf/local.conf file. This configuration file has therefore been
@@ -79,9 +76,6 @@ EOM
     cp -f $OECORELOCALCONF $BUILDDIR/conf/local.conf
 fi
 
-if [ "x" = "x$OECORELAYERCONF" ]; then
-    OECORELAYERCONF="$OEROOT/meta/conf/bblayers.conf.sample"
-fi
 if ! (test -r "$BUILDDIR/conf/bblayers.conf"); then
 cat <<EOM
 You had no conf/bblayers.conf file. The configuration file has been created for
-- 
1.7.1




  reply	other threads:[~2011-05-24 22:34 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-05-24 22:31 [PATCH 0/1] oe-setup-builddir: remove unreachable code, update comments Darren Hart
2011-05-24 22:31 ` Darren Hart [this message]
2011-05-24 22:35   ` [PATCH 1/1] " Darren Hart
2011-05-25  6:32 ` [PATCH 0/1] " Saul Wold
2011-05-25 17:58   ` Darren Hart
2011-05-25 21:49     ` Saul Wold
2011-05-25 22:38       ` Richard Purdie
2011-05-25 23:39         ` Darren Hart

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=d65327722591ceae682f08ff28cae38f4d32267d.1306276122.git.dvhart@linux.intel.com \
    --to=dvhart@linux.intel.com \
    --cc=openembedded-core@lists.openembedded.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox